/*
 * 爆発クラス
 */

var Bang = Class.create(Sprite, {
	initialize: function(x, y){
		Sprite.call(this, SPRITE_WIDTH, SPRITE_HEIGHT);
		this.mode = ACTIVE;
		this.image = game.assets[IMG_BANG];
		this.frameNo = 0;
		this.frame = 0;
		this.interval = game.fps/6;		// アニメーション間隔
		this.nextFrame = game.frame + this.interval;
		this.moveTo(x, y);
	},
	onenterframe: function(){
		if(game.frame >= this.nextFrame){
			this.frameNo++;
			if(this.frameNo >= 6){
				scGame.removeChild(this);
				this.mode = DIE;
			}
			this.frame = this.frameNo;
		}
	},
});
