/*
 * ボスショットクラス
 */

var BossShot = Class.create(Sprite, {
	initialize: function(){
		Sprite.call(this, 128, 64);
		this.mode = ACTIVE;
		this.hitType = THROW;
		this.image = game.assets[IMG_BOSSSHOT];
		this.frame = 0;
		this.speed = 15;
		this.score = 0;
		this.moveTo(boss.x + boss.width/2-this.width/2, boss.y + boss.height/2);
		this.update = this.move;
	},
	move: function(){
		this.y += this.speed;
		if(this.y > SCREEN_HEIGHT){
			scGame.removeChild(this);
			this.mode = DIE;
		}
	},
	onenterframe: function(){
		this.update();
	},
});
