/*
 * 敵クラス
 */

var Teki = Class.create(Sprite, {
	initialize: function(type){
		Sprite.call(this, SPRITE_WIDTH, SPRITE_HEIGHT);
		this.mode = ACTIVE;
		this.type = type;
		// 敵タイプ1の初期設定（プレイヤーに向かってくる）		
		if(this.type == 1){
			this.hitType = HIT;
			this.image = game.assets[IMG_TEKI];
			this.score = 100;
			this.speedX = 6;
			this.speedY = 8;
			this.pointY = rnd(100, 150);
			this.moveTo(rnd(0, SCREEN_WIDTH-SPRITE_WIDTH), -SPRITE_HEIGHT );
			if(this.x > player.x) this.vx = -this.speedX;
			else this.vx = this.speedX;
		}
		// 敵タイプ2の初期設定（はねる感じ）
		else if(this.type == 2){
			this.hitType = HIT;
			this.image = game.assets[IMG_TEKI2];
			this.speedY = 0.05;
			this.pointY = rnd(100, 450);
			this.score = 50;
			this.moveTo(rnd(0, SCREEN_WIDTH-SPRITE_WIDTH), -SPRITE_HEIGHT );
		}
		this.frame = 0;
		this.update = this.move;
	},
	move: function(){
		// 敵タイプ1の動作		
		if(this.type == 1){
			this.y += this.speedY;
			if(this.y > this.pointY){
				this.speedY = 10;
				this.x += this.vx;
			}
		}
		// 敵タイプ2の動作	
		else if(this.type == 2){
			this.y += this.speedY;
			this.speedY ++;
			this.rotate(6);
			if(this.y > this.pointY) this.speedY = -this.speedY;
		}
		// 敵の消去
		if(this.y > SCREEN_HEIGHT || this.y < -200){
			scGame.removeChild(this);
			this.mode = DIE;
		}
	},
	onenterframe: function(){
		this.update();
	},
});
