/*
 * 汎用処理
 */

// 乱数生成（最小値, 最大値）
var rnd = function(min, max){
	return Math.floor(Math.random() * (max-min+1) + min);
};

/*
 * ゲームクリアオブジェクト
 */
var createGameClearObject = function(){
	game.mode = CLEAR;
	nextSceneFrame = game.frame + game.fps * 5;
	removeObjects();
	// 大爆発！
	var bigBang = new Bang(boss.x+boss.width/2, boss.y+200);
	bigBang.scale(3.0, 3.0);
	scGame.addChild(bigBang);
	objects.push(bigBang);
	// 小爆発1
	var bang1 = new Bang(boss.x, boss.y+100);
	scGame.addChild(bang1);
	objects.push(bang1);
	// 小爆発2
	var bang2 = new Bang(boss.x+boss.width-20, boss.y+150);
	scGame.addChild(bang2);
	objects.push(bang2);
};

/*
 * ゲームオーバーオブジェクト
 */
var createGameOverObject = function(x, y){
	game.mode = GAMEOVER;
	nextSceneFrame = game.frame + game.fps * 3;
	removeObjects();
	var kya = new Kya(x, y);
	scGame.addChild(kya);
	objects.push(kya);
};

/*
 * ボスの弾を放射状に生成する
 */
var createBossTama = function(){
	var angles =[60, 90, 120];			// 発射角度
	for(i in angles){
		var bossTama = new BossTama(angles[i], 4);		// 角度、スピード
		enemys.push(bossTama);
		scGame.addChild(bossTama);
	}
};
