/*
 * アイテムクラス
 */

var Item = Class.create(Sprite, {
	initialize: function(x, y){
		Sprite.call(this, 16, 16);
		this.mode = ACTIVE;
		this.image = game.assets[IMG_ITEM];
		this.frame = 0;
		this.opacity = 0.7;
		this.vy = -5;
		this.moveTo(x, y);
		this.update = this.move;
	},
	move: function(){
		this.vy += 0.5;
		this.y += this.vy;
		if(this.y > SCREEN_HEIGHT){
			scGame.removeChild(this);
			this.mode = DIE;
		}
	},
	onenterframe: function(){
		this.update();
		if(this.within(player)){			// 主人公との当たり判定
			scGame.removeChild(this);
			this.mode = DIE;
			player.item ++;
		}
	},
});
