/*
 * 「きゃっ」という字を表示するクラス
 */

var Kya = Class.create(Sprite, {
	initialize: function(x, y){
		Sprite.call(this, 64, 64);
		this.image = game.assets[IMG_KYA];
		this.mode = ACTIVE;
		this.power = -5;
		this.vy = this.power;
		this.vx = 1;
		this.moveTo(x, y);
		this.timer = game.frame;
	},
	onenterframe: function(){
		if(game.frame > this.timer + game.fps*3){
			scGame.removeChild(this);
			this.mode = DIE;
		}
		// ちょっとはねる動き
		this.x = this.x + this.vx;
		this.vy += 0.5;
		this.y += this.vy;
	},
});
