/*
 * オブジェクトをメモリから消去（mode: ACTIVE/DIE）
 */

var clearObjects = function(mode){
	// 敵オブジェクト消去
	for(i in enemys){
		if(enemys[i].mode == mode)	enemys.splice(i, 1);	// spliceは配列を完全に削除
	}
	// プレイヤー弾オブジェクト消去
	for(i in beams){
		if(beams[i].mode == mode)	beams.splice(i, 1);
	}
	// その他オブジェクトの消去
	for(i in objects){
		if(objects[i].mode == mode)	objects.splice(i, 1);
	}
};

/*
 * オブジェクトを画面から消去
 */

var removeObjects = function(){
	// 敵オブジェクトを画面から消去
	for(i in enemys){
		scGame.removeChild(enemys[i]);
		enemys[i].mode = DIE;
	}
	// プレイヤー弾を画面から消去
	for(i in beams){
		scGame.removeChild(beams[i]);
		beams[i].mode = DIE;
	}
	// その他オブジェクトを画面から消去
	for(i in objects){
		scGame.removeChild(objects[i]);
		objects[i].mode = DIE;
	}
};

/*
 * 全オブジェクト消去
 */

var clearAll = function(){
	removeObjects();			// 残っているキャラを画面から消去
	clearObjects(ACTIVE);		// 動作中のオブジェクトをメモリから消去
	clearObjects(DIE);			// 動作停止中のオブジェクトをメモリから消去
};
